%define pkg_name        Class-DBI-ConceptSearch
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 2.n0i.3

Summary:       Retrieve Class::DBI aggregates from high-level conceptual searches
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AL/ALLENDAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::DBI) >= 0.94
BuildRequires: perl(XML::XPath) >= 1.13
%endif


%description
Class::DBI::ConceptSearch contains a generic search function that, given a
configuration file, allows arbitrary mappings of search categories to
database table fields. You specify what the available categories are, and
where to look for data when a category is searched.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.2
- version 0.04

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.03_1-1.n0i.1.0.031
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
